<?php
  $main_resp = getResponsibleById($pdo, $postulation['fk_applicant_main_responsible'])[0];
  $sec_resp = getResponsibleById($pdo, $postulation['fk_applicant_sec_responsible'])[0];
?>
<button class="collapse-title collapse-title-desktop" type="button" data-toggle="collapse" data-target="#collapse-responsibles" aria-expanded="false" aria-controls="collapse-responsibles">
  Représentants
</button>
<div class="collapse collapse-item show collapse-item-desktop" id="collapse-responsibles">
  <?php if (!$main_resp) { ?>
    <p style="text-align: center;">Aucune donnée fournie</p>
  <?php } ?>
  <?php if ($main_resp) { ?>
    <table class="table table-boxed mb-5">
      <thead>
        <tr>
          <th>Représentant principal</th>
          <th>Données</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>Nom, prénom</td>
          <td>
            <span class="postulationDataSpans"><?= $main_resp['responsible_name'] . ", " . $main_resp['responsible_fsname'] ?></span>
            <input class="editPostInputs form-control" value="<?= $main_resp['responsible_name'] ?>" name="main_responsible_name" />
            <input class="editPostInputs form-control" value="<?= $main_resp['responsible_fsname'] ?>" name="main_responsible_fsname" />
          </td>
        </tr>
        <tr>
          <td>Genre</td>
          <td>
            <span class="postulationDataSpans"><?= $main_resp['responsible_gender'] ?></span>
            <select name="main_responsible_gender" class="custom-select editPostInputs">
              <option value="Homme" <?php echo ($main_resp['responsible_gender'] == "Homme") ? "selected" : ''; ?>>Homme</option>
              <option value="Femme" <?php echo ($main_resp['responsible_gender'] == "Femme") ? "selected" : ''; ?>>Femme</option>
            </select>
          </td>
        </tr>
        <tr>
          <td>Adresse</td>
          <td>
            <span class="postulationDataSpans"><?= $main_resp['responsible_street'] . ", " . $main_resp['responsible_npa'] ?></span>
            <input class="editPostInputs form-control" value="<?= $main_resp['responsible_street'] ?>" name="main_responsible_street" />
            <input class="editPostInputs form-control" value="<?= $main_resp['responsible_npa'] ?>" name="main_responsible_npa" />
          </td>
        </tr>
        <tr>
          <td>Téléphone</td>
          <td>
            <span class="postulationDataSpans"><?= $main_resp['responsible_phone'] ?></span>
            <input class="editPostInputs form-control" value="<?= $main_resp['responsible_phone'] ?>" name="main_responsible_phone" />
          </td>
        </tr>
      </tbody>
    </table>
  <?php } ?>
  <?php if ($sec_resp) { ?>
    <table class="table table-boxed mb-5">
      <thead>
        <tr>
          <th>Représentant secondaire</th>
          <th>Données</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>Nom, prénom</td>
          <td>
            <span class="postulationDataSpans"><?= $sec_resp['responsible_name'] . ", " . $sec_resp['responsible_fsname'] ?></span>
            <input class="editPostInputs form-control" value="<?= $sec_resp['responsible_name'] ?>" name="sec_responsible_name" />
            <input class="editPostInputs form-control" value="<?= $sec_resp['responsible_fsname'] ?>" name="sec_responsible_fsname" />
          </td>
        </tr>
        <tr>
          <td>Genre</td>
          <td>
            <span class="postulationDataSpans"><?= $sec_resp['responsible_gender'] ?></span>
            <select name="sec_responsible_gender" class="custom-select editPostInputs">
              <option value="Homme" <?php echo ($sec_resp['responsible_gender'] == "Homme") ? "selected" : ''; ?>>Homme</option>
              <option value="Femme" <?php echo ($sec_resp['responsible_gender'] == "Femme") ? "selected" : ''; ?>>Femme</option>
            </select>
          </td>
        </tr>
        <tr>
          <td>Adresse</td>
          <td>
            <span class="postulationDataSpans"><?= $sec_resp['responsible_street'] . ", " . $sec_resp['responsible_npa'] ?></span>
            <input class="editPostInputs form-control" value="<?= $sec_resp['responsible_street'] ?>" name="sec_responsible_street" />
            <input class="editPostInputs form-control" value="<?= $sec_resp['responsible_npa'] ?>" name="sec_responsible_npa" />
          </td>
        </tr>
        <tr>
          <td>Téléphone</td>
          <td>
            <span class="postulationDataSpans"><?= $sec_resp['responsible_phone'] ?></span>
            <input class="editPostInputs form-control" value="<?= $sec_resp['responsible_phone'] ?>" name="sec_responsible_phone" />
          </td>
        </tr>
      </tbody>
    </table>
  <?php } ?>
</div>